Bug 215927 - add a template for R packages?
add a template for R packages?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmdevtools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 06:50 EST by Patrice Dumas
Modified: 2009-10-06 05:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: 7.5-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 06:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spectemplate for R modules (1.03 KB, text/plain)
2006-11-16 06:50 EST, Patrice Dumas
no flags Details

  None (edit)
Description Patrice Dumas 2006-11-16 06:50:27 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Patrice Dumas 2006-11-16 06:50:27 EST
Created attachment 141360 [details]
spectemplate for R modules
Comment 2 Ville Skyttä 2006-11-22 12:43:35 EST
No objections, but I know absolutely nothing about R, so this needs someone
familiar to drive it.  Some comments/nitpicks about the template from comment 1
though:

- Is "Applications/Engineering" appropriate for all R modules, or would
Development/Libraries or Development/Languages be a better default (cf. other
spec templates)?

- rpmdev-newspec functionality should be added, and that allows purging some of
the commentary and commented out items.

- the "-r" in "rm -rf" for a single .css file seems spurious

- %post and %postun assume write access to %{_libdir} and will result in rpmdb
trashing if it's not available (eg. /usr(/lib*) mounted read only and marked as
%{_netsharedpath}) or if the scriptlets fail for some other reason.  With
%{_libdir} the former is an unlikely scenario, but a "|| :" at end of the
scriptlets wouldn't hurt nevertheless.
Comment 3 José Matos 2007-04-28 06:58:10 EDT
(In reply to comment #2)
> No objections, but I know absolutely nothing about R, so this needs someone
> familiar to drive it.  Some comments/nitpicks about the template from 
comment 1
> though:
> 
> - Is "Applications/Engineering" appropriate for all R modules, or would
> Development/Libraries or Development/Languages be a better default (cf. 
other
> spec templates)?

  Does it matters? :-)
  R (S/Splus actually) is a Turing complete language mainly focused in 
statistics. Almost all the modules are related with data analysis, that is why 
this is the general choice of Group.

> - rpmdev-newspec functionality should be added, and that allows purging some 
of
> the commentary and commented out items.
> 
> - the "-r" in "rm -rf" for a single .css file seems spurious

  You never know, we really want to kill it. ;-)
  You are right, of course. :-)

> - %post and %postun assume write access to %{_libdir} and will result in 
rpmdb
> trashing if it's not available (eg. /usr(/lib*) mounted read only and marked 
as
> %{_netsharedpath}) or if the scriptlets fail for some other reason.  With
> %{_libdir} the former is an unlikely scenario, but a "|| :" at end of the
> scriptlets wouldn't hurt nevertheless.

  You are right.

Relate to this package I would suggest just to add
mkdir -p %{buildroot}%{_libdir}/R/library

after the %install section since after R 2.5 this is needed.

Regarding the initial
%define 	debug_package %{nil}

there should be a comment saying that this should only be done for pure R 
modules, because some of them have fortran or C/C++ code compiled into a 
library.

FWIW with the additions of Ville and mine comments I would like to support the 
inclusion of this spectemplate in rpmdevtools. :-)

I will change my cran2rpmspec package accordingly:
http://www.fc.up.pt/pessoas/jamatos/R/cran2rpmspec

I will also refer this entry in fedora-r-devel-list@redhat.com to see if there 
is other feedback from the list.
Comment 4 Bug Zapper 2008-04-03 14:39:16 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Patrice Dumas 2008-04-03 16:40:52 EDT
This is still not fixed -- though maybe it could be fixed now since
there are 2 templates here:
http://fedoraproject.org/wiki/Packaging/R

I currently don't have time to lead that but I'll come to it one day.
Comment 6 Bug Zapper 2008-05-13 22:28:31 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:20:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Ville Skyttä 2009-06-12 15:43:46 EDT
Combined template added in git, will probably be in the next > 7.3 release.  It'd be great if someone knowledgeable about R would test this stuff and report back how it looks.

https://fedorahosted.org/rpmdevtools/changeset/90f0cde95795ad48bfa7c628d23dd17c87c3c174
Comment 9 Ville Skyttä 2009-08-21 06:05:26 EDT
No feedback, included anyway in 7.4-1.
Comment 10 Fedora Update System 2009-09-17 17:44:58 EDT
rpmdevtools-7.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmdevtools-7.5-1.fc11?_csrf_token=018644e6f79eac4e110aeac47d19804d64593771
Comment 11 Fedora Update System 2009-10-06 05:57:25 EDT
rpmdevtools-7.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.